ad_page_contract {

    Delete a Message

    @author Ben Adida (ben@openforce)
    @creation-date 2002-05-24
    @version $Id: message-delete.tcl,v 1.3 2002/12/20 13:23:10 lars Exp $

} {
    message_id:integer,notnull
    {return_url ""}
    {confirm_p 0}
}

set table_border_color [parameter::get -parameter table_border_color]

# Check that the user can moderate the forum
forum::security::require_moderate_message -message_id $message_id

# Select the stuff
forum::message::get -message_id $message_id -array message

set context [list [list "../forum-view?[export_vars { { forum_id $message(forum_id) } }]" "$message(forum_name)"] [list "../message-view?[export_vars { message_id }]" "One Message"] "Delete"]

# Confirm?
if {!$confirm_p} {
    set url_vars [export_url_vars message_id return_url]
    ad_return_template
} else {
    # Delete the message and all children
    forum::message::delete -message_id $message_id

    # Flush paginator cache
    cache flush "paginated_messages:$message(forum_name):row_ids"
    cache flush "paginated_messages:$message(forum_name):context_ids"
    
    # Redirect to the forum
    ad_returnredirect "../forum-view?forum_id=$message(forum_id)"
}
